import { CompletionsCollector, JSONPath, JSONWorkerContribution, MarkedString } from 'vscode-json-languageservice';
import { DocumentManager } from '../documents';
export declare class TranslationFileContributions implements JSONWorkerContribution {
    private documentManager;
    private filePatterns;
    constructor(documentManager: DocumentManager);
    getInfoContribution(uri: string, location: JSONPath): Promise<MarkedString[]>;
    collectDefaultCompletions(uri: string, result: CompletionsCollector): Promise<void>;
    collectPropertyCompletions(uri: string, location: JSONPath, currentWord: string, addValue: boolean, isLast: boolean, result: CompletionsCollector): Promise<void>;
    collectValueCompletions(uri: string, location: JSONPath, propertyKey: string, result: CompletionsCollector): Promise<void>;
}
export declare function fileMatch(uri: string, patterns: RegExp[]): boolean;
export declare function contextualizedLabel(uri: string, str: (string | number)[], value: string): MarkedString;
